%global _hardened_build 1

Name:           libscrypt
Version:        1.22
Release:    1%{?dist}
Summary:        Library that implements the secure password hashing function "scrypt"
License:        BSD
URL:            http://www.lolware.net/libscrypt.html
Source0:        https://github.com/technion/libscrypt/archive/v%{version}.tar.gz

BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  gcc
BuildRequires:  make

%description
This is a library that implements the secure password hashing function "scrypt".

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q

%build
export CFLAGS="%{optflags}"
export LDFLAGS="$LDFLAGS -Wl,-z,relro -Wl,-soname,libscrypt.so.0 -Wl,--version-script=libscrypt.version"
%make_build

%install
%make_install \
	PREFIX=%{_prefix} \
	LIBDIR=%{_libdir}

find %{buildroot} -name '*.*a' -exec rm -f {} ';'

%check
make check



%files
%license LICENSE
%{_libdir}/*.so.*
%doc README.md

%files devel
%{_includedir}/*
%{_libdir}/*.so


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.22-1
- initial build
